import type { WaitForOptions } from '@scaleway/sdk-client';
import { API } from './api.gen.js';
import type { GetServerRequest, ServerInstall } from './types.gen';
export declare class BaremetalV1UtilsAPI extends API {
    /**
     * Waits for {@link ServerInstall} to be in a final state.
     *
     * @param request - The request {@link GetServerRequest}
     * @param options - The waiting options
     * @returns A Promise of ServerInstall
     */
    waitForServerInstall: (request: Readonly<GetServerRequest>, options?: Readonly<WaitForOptions<ServerInstall>>) => Promise<ServerInstall>;
}
