import type { DefaultValues } from '@scaleway/sdk-client';
import type { ActivateCockpitRequest, Cockpit, CockpitMetrics, ContactPoint, CreateContactPointRequest, CreateDatasourceRequest, CreateGrafanaUserRequest, CreateTokenRequest, Datasource, DeactivateCockpitRequest, DeleteContactPointRequest, DeleteGrafanaUserRequest, DisableManagedAlertsRequest, EnableManagedAlertsRequest, GrafanaProductDashboard, GrafanaUser, ListContactPointsResponse, ListDatasourcesResponse, ListGrafanaProductDashboardsResponse, ListGrafanaUsersResponse, ListPlansResponse, ListTokensResponse, ResetGrafanaUserPasswordRequest, SelectPlanRequest, SelectPlanResponse, Token, TriggerTestAlertRequest } from './types.gen';
export declare const unmarshalContactPoint: (data: unknown) => ContactPoint;
export declare const unmarshalDatasource: (data: unknown) => Datasource;
export declare const unmarshalGrafanaProductDashboard: (data: unknown) => GrafanaProductDashboard;
export declare const unmarshalGrafanaUser: (data: unknown) => GrafanaUser;
export declare const unmarshalToken: (data: unknown) => Token;
export declare const unmarshalCockpit: (data: unknown) => Cockpit;
export declare const unmarshalCockpitMetrics: (data: unknown) => CockpitMetrics;
export declare const unmarshalListContactPointsResponse: (data: unknown) => ListContactPointsResponse;
export declare const unmarshalListDatasourcesResponse: (data: unknown) => ListDatasourcesResponse;
export declare const unmarshalListGrafanaProductDashboardsResponse: (data: unknown) => ListGrafanaProductDashboardsResponse;
export declare const unmarshalListGrafanaUsersResponse: (data: unknown) => ListGrafanaUsersResponse;
export declare const unmarshalListPlansResponse: (data: unknown) => ListPlansResponse;
export declare const unmarshalListTokensResponse: (data: unknown) => ListTokensResponse;
export declare const unmarshalSelectPlanResponse: (data: unknown) => SelectPlanResponse;
export declare const marshalActivateCockpitRequest: (request: ActivateCockpitRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateContactPointRequest: (request: CreateContactPointRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateDatasourceRequest: (request: CreateDatasourceRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateGrafanaUserRequest: (request: CreateGrafanaUserRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateTokenRequest: (request: CreateTokenRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalDeactivateCockpitRequest: (request: DeactivateCockpitRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalDeleteContactPointRequest: (request: DeleteContactPointRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalDeleteGrafanaUserRequest: (request: DeleteGrafanaUserRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalDisableManagedAlertsRequest: (request: DisableManagedAlertsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalEnableManagedAlertsRequest: (request: EnableManagedAlertsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalResetGrafanaUserPasswordRequest: (request: ResetGrafanaUserPasswordRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSelectPlanRequest: (request: SelectPlanRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalTriggerTestAlertRequest: (request: TriggerTestAlertRequest, defaults: DefaultValues) => Record<string, unknown>;
