import type { DefaultValues } from '@scaleway/sdk-client';
import type { AddInstanceACLRulesRequest, AddInstanceACLRulesResponse, AddInstanceSettingsRequest, AddInstanceSettingsResponse, CloneInstanceRequest, CreateDatabaseRequest, CreateEndpointRequest, CreateInstanceFromSnapshotRequest, CreateInstanceRequest, CreateReadReplicaEndpointRequest, CreateReadReplicaRequest, CreateSnapshotRequest, CreateUserRequest, Database, DeleteInstanceACLRulesRequest, DeleteInstanceACLRulesResponse, DeleteInstanceSettingsRequest, DeleteInstanceSettingsResponse, Endpoint, Instance, InstanceLog, InstanceMetrics, ListDatabaseEnginesResponse, ListDatabasesResponse, ListInstanceACLRulesResponse, ListInstanceLogsDetailsResponse, ListInstanceLogsResponse, ListInstancesResponse, ListNodeTypesResponse, ListPrivilegesResponse, ListSnapshotsResponse, ListUsersResponse, Maintenance, MigrateEndpointRequest, Privilege, PurgeInstanceLogsRequest, ReadReplica, SetInstanceACLRulesRequest, SetInstanceACLRulesResponse, SetInstanceSettingsRequest, SetInstanceSettingsResponse, SetPrivilegeRequest, Snapshot, UpdateInstanceRequest, UpdateSnapshotRequest, UpdateUserRequest, UpgradeInstanceRequest, User } from './types.gen';
export declare const unmarshalEndpoint: (data: unknown) => Endpoint;
export declare const unmarshalMaintenance: (data: unknown) => Maintenance;
export declare const unmarshalReadReplica: (data: unknown) => ReadReplica;
export declare const unmarshalDatabase: (data: unknown) => Database;
export declare const unmarshalInstanceLog: (data: unknown) => InstanceLog;
export declare const unmarshalInstance: (data: unknown) => Instance;
export declare const unmarshalPrivilege: (data: unknown) => Privilege;
export declare const unmarshalSnapshot: (data: unknown) => Snapshot;
export declare const unmarshalUser: (data: unknown) => User;
export declare const unmarshalAddInstanceACLRulesResponse: (data: unknown) => AddInstanceACLRulesResponse;
export declare const unmarshalAddInstanceSettingsResponse: (data: unknown) => AddInstanceSettingsResponse;
export declare const unmarshalDeleteInstanceACLRulesResponse: (data: unknown) => DeleteInstanceACLRulesResponse;
export declare const unmarshalDeleteInstanceSettingsResponse: (data: unknown) => DeleteInstanceSettingsResponse;
export declare const unmarshalInstanceMetrics: (data: unknown) => InstanceMetrics;
export declare const unmarshalListDatabaseEnginesResponse: (data: unknown) => ListDatabaseEnginesResponse;
export declare const unmarshalListDatabasesResponse: (data: unknown) => ListDatabasesResponse;
export declare const unmarshalListInstanceACLRulesResponse: (data: unknown) => ListInstanceACLRulesResponse;
export declare const unmarshalListInstanceLogsDetailsResponse: (data: unknown) => ListInstanceLogsDetailsResponse;
export declare const unmarshalListInstanceLogsResponse: (data: unknown) => ListInstanceLogsResponse;
export declare const unmarshalListInstancesResponse: (data: unknown) => ListInstancesResponse;
export declare const unmarshalListNodeTypesResponse: (data: unknown) => ListNodeTypesResponse;
export declare const unmarshalListPrivilegesResponse: (data: unknown) => ListPrivilegesResponse;
export declare const unmarshalListSnapshotsResponse: (data: unknown) => ListSnapshotsResponse;
export declare const unmarshalListUsersResponse: (data: unknown) => ListUsersResponse;
export declare const unmarshalSetInstanceACLRulesResponse: (data: unknown) => SetInstanceACLRulesResponse;
export declare const unmarshalSetInstanceSettingsResponse: (data: unknown) => SetInstanceSettingsResponse;
export declare const marshalAddInstanceACLRulesRequest: (request: AddInstanceACLRulesRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalAddInstanceSettingsRequest: (request: AddInstanceSettingsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCloneInstanceRequest: (request: CloneInstanceRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateDatabaseRequest: (request: CreateDatabaseRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateEndpointRequest: (request: CreateEndpointRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateInstanceFromSnapshotRequest: (request: CreateInstanceFromSnapshotRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateInstanceRequest: (request: CreateInstanceRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateReadReplicaEndpointRequest: (request: CreateReadReplicaEndpointRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateReadReplicaRequest: (request: CreateReadReplicaRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateSnapshotRequest: (request: CreateSnapshotRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateUserRequest: (request: CreateUserRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalDeleteInstanceACLRulesRequest: (request: DeleteInstanceACLRulesRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalDeleteInstanceSettingsRequest: (request: DeleteInstanceSettingsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalMigrateEndpointRequest: (request: MigrateEndpointRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalPurgeInstanceLogsRequest: (request: PurgeInstanceLogsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetInstanceACLRulesRequest: (request: SetInstanceACLRulesRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetInstanceSettingsRequest: (request: SetInstanceSettingsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetPrivilegeRequest: (request: SetPrivilegeRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateInstanceRequest: (request: UpdateInstanceRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateSnapshotRequest: (request: UpdateSnapshotRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateUserRequest: (request: UpdateUserRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpgradeInstanceRequest: (request: UpgradeInstanceRequest, defaults: DefaultValues) => Record<string, unknown>;
