import type { DefaultValues } from '@scaleway/sdk-client';
import type { AddRouteRulesRequest, AddRouteRulesResponse, BackendStage, CacheStage, CheckDomainRequest, CheckDomainResponse, CheckLbOriginRequest, CheckLbOriginResponse, CheckPEMChainRequest, CheckPEMChainResponse, CreateBackendStageRequest, CreateCacheStageRequest, CreateDNSStageRequest, CreatePipelineRequest, CreatePurgeRequestRequest, CreateRouteStageRequest, CreateTLSStageRequest, CreateWafStageRequest, DNSStage, GetBillingResponse, HeadStageResponse, ListBackendStagesResponse, ListCacheStagesResponse, ListDNSStagesResponse, ListHeadStagesResponse, ListPipelinesResponse, ListPipelinesWithStagesResponse, ListPlansResponse, ListPurgeRequestsResponse, ListRouteRulesResponse, ListRouteStagesResponse, ListTLSStagesResponse, ListWafStagesResponse, Pipeline, PipelineStages, Plan, PurgeRequest, RouteStage, SelectPlanRequest, SetHeadStageRequest, SetRouteRulesRequest, SetRouteRulesRequestRouteRule, SetRouteRulesResponse, TLSStage, UpdateBackendStageRequest, UpdateCacheStageRequest, UpdateDNSStageRequest, UpdatePipelineRequest, UpdateRouteStageRequest, UpdateTLSStageRequest, UpdateWafStageRequest, WafStage } from './types.gen';
export declare const unmarshalBackendStage: (data: unknown) => BackendStage;
export declare const unmarshalCacheStage: (data: unknown) => CacheStage;
export declare const unmarshalDNSStage: (data: unknown) => DNSStage;
export declare const unmarshalPipeline: (data: unknown) => Pipeline;
export declare const unmarshalRouteStage: (data: unknown) => RouteStage;
export declare const unmarshalTLSStage: (data: unknown) => TLSStage;
export declare const unmarshalWafStage: (data: unknown) => WafStage;
export declare const unmarshalPipelineStages: (data: unknown) => PipelineStages;
export declare const unmarshalPurgeRequest: (data: unknown) => PurgeRequest;
export declare const unmarshalAddRouteRulesResponse: (data: unknown) => AddRouteRulesResponse;
export declare const unmarshalCheckDomainResponse: (data: unknown) => CheckDomainResponse;
export declare const unmarshalCheckLbOriginResponse: (data: unknown) => CheckLbOriginResponse;
export declare const unmarshalCheckPEMChainResponse: (data: unknown) => CheckPEMChainResponse;
export declare const unmarshalGetBillingResponse: (data: unknown) => GetBillingResponse;
export declare const unmarshalHeadStageResponse: (data: unknown) => HeadStageResponse;
export declare const unmarshalListBackendStagesResponse: (data: unknown) => ListBackendStagesResponse;
export declare const unmarshalListCacheStagesResponse: (data: unknown) => ListCacheStagesResponse;
export declare const unmarshalListDNSStagesResponse: (data: unknown) => ListDNSStagesResponse;
export declare const unmarshalListHeadStagesResponse: (data: unknown) => ListHeadStagesResponse;
export declare const unmarshalListPipelinesResponse: (data: unknown) => ListPipelinesResponse;
export declare const unmarshalListPipelinesWithStagesResponse: (data: unknown) => ListPipelinesWithStagesResponse;
export declare const unmarshalListPlansResponse: (data: unknown) => ListPlansResponse;
export declare const unmarshalListPurgeRequestsResponse: (data: unknown) => ListPurgeRequestsResponse;
export declare const unmarshalListRouteRulesResponse: (data: unknown) => ListRouteRulesResponse;
export declare const unmarshalListRouteStagesResponse: (data: unknown) => ListRouteStagesResponse;
export declare const unmarshalListTLSStagesResponse: (data: unknown) => ListTLSStagesResponse;
export declare const unmarshalListWafStagesResponse: (data: unknown) => ListWafStagesResponse;
export declare const unmarshalPlan: (data: unknown) => Plan;
export declare const unmarshalSetRouteRulesResponse: (data: unknown) => SetRouteRulesResponse;
export declare const marshalSetRouteRulesRequestRouteRule: (request: SetRouteRulesRequestRouteRule, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalAddRouteRulesRequest: (request: AddRouteRulesRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCheckDomainRequest: (request: CheckDomainRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCheckLbOriginRequest: (request: CheckLbOriginRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCheckPEMChainRequest: (request: CheckPEMChainRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateBackendStageRequest: (request: CreateBackendStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateCacheStageRequest: (request: CreateCacheStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateDNSStageRequest: (request: CreateDNSStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreatePipelineRequest: (request: CreatePipelineRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreatePurgeRequestRequest: (request: CreatePurgeRequestRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateRouteStageRequest: (request: CreateRouteStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateTLSStageRequest: (request: CreateTLSStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateWafStageRequest: (request: CreateWafStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSelectPlanRequest: (request: SelectPlanRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetHeadStageRequest: (request: SetHeadStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetRouteRulesRequest: (request: SetRouteRulesRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateBackendStageRequest: (request: UpdateBackendStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateCacheStageRequest: (request: UpdateCacheStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateDNSStageRequest: (request: UpdateDNSStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdatePipelineRequest: (request: UpdatePipelineRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateRouteStageRequest: (request: UpdateRouteStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateTLSStageRequest: (request: UpdateTLSStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateWafStageRequest: (request: UpdateWafStageRequest, defaults: DefaultValues) => Record<string, unknown>;
