import type { DefaultValues } from '@scaleway/sdk-client';
import type { CreateDeviceRequest, CreateDeviceResponse, CreateHubRequest, CreateNetworkRequest, CreateNetworkResponse, CreateRouteRequest, Device, GetDeviceCertificateResponse, GetDeviceMetricsResponse, GetHubCAResponse, GetHubMetricsResponse, Hub, ListDevicesResponse, ListHubsResponse, ListNetworksResponse, ListRoutesResponse, ListTwinDocumentsResponse, Network, PatchTwinDocumentRequest, PutTwinDocumentRequest, RenewDeviceCertificateResponse, Route, SetDeviceCertificateRequest, SetDeviceCertificateResponse, SetHubCARequest, TwinDocument, UpdateDeviceRequest, UpdateHubRequest, UpdateRouteRequest } from './types.gen';
export declare const unmarshalDevice: (data: unknown) => Device;
export declare const unmarshalNetwork: (data: unknown) => Network;
export declare const unmarshalHub: (data: unknown) => Hub;
export declare const unmarshalCreateDeviceResponse: (data: unknown) => CreateDeviceResponse;
export declare const unmarshalCreateNetworkResponse: (data: unknown) => CreateNetworkResponse;
export declare const unmarshalGetDeviceCertificateResponse: (data: unknown) => GetDeviceCertificateResponse;
export declare const unmarshalGetDeviceMetricsResponse: (data: unknown) => GetDeviceMetricsResponse;
export declare const unmarshalGetHubCAResponse: (data: unknown) => GetHubCAResponse;
export declare const unmarshalGetHubMetricsResponse: (data: unknown) => GetHubMetricsResponse;
export declare const unmarshalListDevicesResponse: (data: unknown) => ListDevicesResponse;
export declare const unmarshalListHubsResponse: (data: unknown) => ListHubsResponse;
export declare const unmarshalListNetworksResponse: (data: unknown) => ListNetworksResponse;
export declare const unmarshalListRoutesResponse: (data: unknown) => ListRoutesResponse;
export declare const unmarshalListTwinDocumentsResponse: (data: unknown) => ListTwinDocumentsResponse;
export declare const unmarshalRenewDeviceCertificateResponse: (data: unknown) => RenewDeviceCertificateResponse;
export declare const unmarshalRoute: (data: unknown) => Route;
export declare const unmarshalSetDeviceCertificateResponse: (data: unknown) => SetDeviceCertificateResponse;
export declare const unmarshalTwinDocument: (data: unknown) => TwinDocument;
export declare const marshalCreateDeviceRequest: (request: CreateDeviceRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateHubRequest: (request: CreateHubRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateNetworkRequest: (request: CreateNetworkRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateRouteRequest: (request: CreateRouteRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalPatchTwinDocumentRequest: (request: PatchTwinDocumentRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalPutTwinDocumentRequest: (request: PutTwinDocumentRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetDeviceCertificateRequest: (request: SetDeviceCertificateRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetHubCARequest: (request: SetHubCARequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateDeviceRequest: (request: UpdateDeviceRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateHubRequest: (request: UpdateHubRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateRouteRequest: (request: UpdateRouteRequest, defaults: DefaultValues) => Record<string, unknown>;
