import type { DefaultValues } from '@scaleway/sdk-client';
import type { Acl, AddBackendServersRequest, AttachPrivateNetworkRequest, Backend, BackendServerStats, Certificate, CreateAclRequest, CreateBackendRequest, CreateCertificateRequest, CreateFrontendRequest, CreateIpRequest, CreateLbRequest, CreateRouteRequest, CreateSubscriberRequest, Frontend, HealthCheck, Ip, Lb, LbStats, ListAclResponse, ListBackendStatsResponse, ListBackendsResponse, ListCertificatesResponse, ListFrontendsResponse, ListIpsResponse, ListLbPrivateNetworksResponse, ListLbTypesResponse, ListLbsResponse, ListRoutesResponse, ListSubscriberResponse, MigrateLbRequest, PrivateNetwork, RemoveBackendServersRequest, Route, SetAclsResponse, SetBackendServersRequest, SubscribeToLbRequest, Subscriber, UpdateAclRequest, UpdateBackendRequest, UpdateCertificateRequest, UpdateFrontendRequest, UpdateHealthCheckRequest, UpdateIpRequest, UpdateLbRequest, UpdateRouteRequest, UpdateSubscriberRequest, ZonedApiAddBackendServersRequest, ZonedApiAttachPrivateNetworkRequest, ZonedApiCreateAclRequest, ZonedApiCreateBackendRequest, ZonedApiCreateCertificateRequest, ZonedApiCreateFrontendRequest, ZonedApiCreateIpRequest, ZonedApiCreateLbRequest, ZonedApiCreateRouteRequest, ZonedApiCreateSubscriberRequest, ZonedApiDetachPrivateNetworkRequest, ZonedApiMigrateLbRequest, ZonedApiRemoveBackendServersRequest, ZonedApiSetAclsRequest, ZonedApiSetBackendServersRequest, ZonedApiSubscribeToLbRequest, ZonedApiUpdateAclRequest, ZonedApiUpdateBackendRequest, ZonedApiUpdateCertificateRequest, ZonedApiUpdateFrontendRequest, ZonedApiUpdateHealthCheckRequest, ZonedApiUpdateIpRequest, ZonedApiUpdateLbRequest, ZonedApiUpdateRouteRequest, ZonedApiUpdateSubscriberRequest } from './types.gen';
export declare const unmarshalIp: (data: unknown) => Ip;
export declare const unmarshalSubscriber: (data: unknown) => Subscriber;
export declare const unmarshalHealthCheck: (data: unknown) => HealthCheck;
export declare const unmarshalLb: (data: unknown) => Lb;
export declare const unmarshalBackend: (data: unknown) => Backend;
export declare const unmarshalCertificate: (data: unknown) => Certificate;
export declare const unmarshalFrontend: (data: unknown) => Frontend;
export declare const unmarshalAcl: (data: unknown) => Acl;
export declare const unmarshalPrivateNetwork: (data: unknown) => PrivateNetwork;
export declare const unmarshalRoute: (data: unknown) => Route;
export declare const unmarshalBackendServerStats: (data: unknown) => BackendServerStats;
export declare const unmarshalLbStats: (data: unknown) => LbStats;
export declare const unmarshalListAclResponse: (data: unknown) => ListAclResponse;
export declare const unmarshalListBackendStatsResponse: (data: unknown) => ListBackendStatsResponse;
export declare const unmarshalListBackendsResponse: (data: unknown) => ListBackendsResponse;
export declare const unmarshalListCertificatesResponse: (data: unknown) => ListCertificatesResponse;
export declare const unmarshalListFrontendsResponse: (data: unknown) => ListFrontendsResponse;
export declare const unmarshalListIpsResponse: (data: unknown) => ListIpsResponse;
export declare const unmarshalListLbPrivateNetworksResponse: (data: unknown) => ListLbPrivateNetworksResponse;
export declare const unmarshalListLbTypesResponse: (data: unknown) => ListLbTypesResponse;
export declare const unmarshalListLbsResponse: (data: unknown) => ListLbsResponse;
export declare const unmarshalListRoutesResponse: (data: unknown) => ListRoutesResponse;
export declare const unmarshalListSubscriberResponse: (data: unknown) => ListSubscriberResponse;
export declare const unmarshalSetAclsResponse: (data: unknown) => SetAclsResponse;
export declare const marshalAddBackendServersRequest: (request: AddBackendServersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalAttachPrivateNetworkRequest: (request: AttachPrivateNetworkRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateAclRequest: (request: CreateAclRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateBackendRequest: (request: CreateBackendRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateCertificateRequest: (request: CreateCertificateRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateFrontendRequest: (request: CreateFrontendRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateIpRequest: (request: CreateIpRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateLbRequest: (request: CreateLbRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateRouteRequest: (request: CreateRouteRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateSubscriberRequest: (request: CreateSubscriberRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalMigrateLbRequest: (request: MigrateLbRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRemoveBackendServersRequest: (request: RemoveBackendServersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetBackendServersRequest: (request: SetBackendServersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSubscribeToLbRequest: (request: SubscribeToLbRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateAclRequest: (request: UpdateAclRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateBackendRequest: (request: UpdateBackendRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateCertificateRequest: (request: UpdateCertificateRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateFrontendRequest: (request: UpdateFrontendRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateHealthCheckRequest: (request: UpdateHealthCheckRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateIpRequest: (request: UpdateIpRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateLbRequest: (request: UpdateLbRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateRouteRequest: (request: UpdateRouteRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateSubscriberRequest: (request: UpdateSubscriberRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiAddBackendServersRequest: (request: ZonedApiAddBackendServersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiAttachPrivateNetworkRequest: (request: ZonedApiAttachPrivateNetworkRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiCreateAclRequest: (request: ZonedApiCreateAclRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiCreateBackendRequest: (request: ZonedApiCreateBackendRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiCreateCertificateRequest: (request: ZonedApiCreateCertificateRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiCreateFrontendRequest: (request: ZonedApiCreateFrontendRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiCreateIpRequest: (request: ZonedApiCreateIpRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiCreateLbRequest: (request: ZonedApiCreateLbRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiCreateRouteRequest: (request: ZonedApiCreateRouteRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiCreateSubscriberRequest: (request: ZonedApiCreateSubscriberRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiDetachPrivateNetworkRequest: (request: ZonedApiDetachPrivateNetworkRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiMigrateLbRequest: (request: ZonedApiMigrateLbRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiRemoveBackendServersRequest: (request: ZonedApiRemoveBackendServersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiSetAclsRequest: (request: ZonedApiSetAclsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiSetBackendServersRequest: (request: ZonedApiSetBackendServersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiSubscribeToLbRequest: (request: ZonedApiSubscribeToLbRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiUpdateAclRequest: (request: ZonedApiUpdateAclRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiUpdateBackendRequest: (request: ZonedApiUpdateBackendRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiUpdateCertificateRequest: (request: ZonedApiUpdateCertificateRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiUpdateFrontendRequest: (request: ZonedApiUpdateFrontendRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiUpdateHealthCheckRequest: (request: ZonedApiUpdateHealthCheckRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiUpdateIpRequest: (request: ZonedApiUpdateIpRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiUpdateLbRequest: (request: ZonedApiUpdateLbRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiUpdateRouteRequest: (request: ZonedApiUpdateRouteRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalZonedApiUpdateSubscriberRequest: (request: ZonedApiUpdateSubscriberRequest, defaults: DefaultValues) => Record<string, unknown>;
