import type { DefaultValues } from '@scaleway/sdk-client';
import type { ListNatsAccountsResponse, ListNatsCredentialsResponse, ListSnsCredentialsResponse, ListSqsCredentialsResponse, NatsAccount, NatsApiCreateNatsAccountRequest, NatsApiCreateNatsCredentialsRequest, NatsApiUpdateNatsAccountRequest, NatsCredentials, SnsApiActivateSnsRequest, SnsApiCreateSnsCredentialsRequest, SnsApiDeactivateSnsRequest, SnsApiUpdateSnsCredentialsRequest, SnsCredentials, SnsInfo, SqsApiActivateSqsRequest, SqsApiCreateSqsCredentialsRequest, SqsApiDeactivateSqsRequest, SqsApiUpdateSqsCredentialsRequest, SqsCredentials, SqsInfo } from './types.gen';
export declare const unmarshalNatsAccount: (data: unknown) => NatsAccount;
export declare const unmarshalNatsCredentials: (data: unknown) => NatsCredentials;
export declare const unmarshalSnsCredentials: (data: unknown) => SnsCredentials;
export declare const unmarshalSqsCredentials: (data: unknown) => SqsCredentials;
export declare const unmarshalListNatsAccountsResponse: (data: unknown) => ListNatsAccountsResponse;
export declare const unmarshalListNatsCredentialsResponse: (data: unknown) => ListNatsCredentialsResponse;
export declare const unmarshalListSnsCredentialsResponse: (data: unknown) => ListSnsCredentialsResponse;
export declare const unmarshalListSqsCredentialsResponse: (data: unknown) => ListSqsCredentialsResponse;
export declare const unmarshalSnsInfo: (data: unknown) => SnsInfo;
export declare const unmarshalSqsInfo: (data: unknown) => SqsInfo;
export declare const marshalNatsApiCreateNatsAccountRequest: (request: NatsApiCreateNatsAccountRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalNatsApiCreateNatsCredentialsRequest: (request: NatsApiCreateNatsCredentialsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalNatsApiUpdateNatsAccountRequest: (request: NatsApiUpdateNatsAccountRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSnsApiActivateSnsRequest: (request: SnsApiActivateSnsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSnsApiCreateSnsCredentialsRequest: (request: SnsApiCreateSnsCredentialsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSnsApiDeactivateSnsRequest: (request: SnsApiDeactivateSnsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSnsApiUpdateSnsCredentialsRequest: (request: SnsApiUpdateSnsCredentialsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSqsApiActivateSqsRequest: (request: SqsApiActivateSqsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSqsApiCreateSqsCredentialsRequest: (request: SqsApiCreateSqsCredentialsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSqsApiDeactivateSqsRequest: (request: SqsApiDeactivateSqsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSqsApiUpdateSqsCredentialsRequest: (request: SqsApiUpdateSqsCredentialsRequest, defaults: DefaultValues) => Record<string, unknown>;
