"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const name = "@scaleway/sdk-client";
const version = "1.1.0";
const license = "Apache-2.0";
const description = "Scaleway SDK Client";
const keywords = [
  "scaleway",
  "cloud",
  "sdk",
  "client"
];
const main = "dist/index.cjs";
const module$1 = "dist/index.js";
const types = "dist/index.d.ts";
const scripts = {
  typecheck: "tsc --noEmit",
  "type:generate": "tsc --declaration -p tsconfig.build.json",
  build: "vite build --config ../../vite.config.ts && pnpm run type:generate && tsc-alias -p tsconfig.build.json",
  "build:profile": "npx vite-bundle-visualizer -c ../../vite.config.ts"
};
const files = [
  "dist"
];
const publishConfig = {
  access: "public"
};
const repository = {
  type: "git",
  url: "https://github.com/scaleway/scaleway-sdk-js",
  directory: "packages/client"
};
const engines = {
  node: ">=18.0"
};
const type = "module";
const pkg = {
  name,
  version,
  license,
  description,
  keywords,
  main,
  module: module$1,
  types,
  scripts,
  files,
  publishConfig,
  repository,
  engines,
  type
};
exports.default = pkg;
exports.description = description;
exports.engines = engines;
exports.files = files;
exports.keywords = keywords;
exports.license = license;
exports.main = main;
exports.module = module$1;
exports.name = name;
exports.publishConfig = publishConfig;
exports.repository = repository;
exports.scripts = scripts;
exports.type = type;
exports.types = types;
exports.version = version;
