export type JSON = string | number | boolean | null | JSON[] | {
    [key: string]: JSON;
};
export interface JSONObject {
    [key: string]: JSON;
}
export declare const isJSON: (obj: unknown) => obj is JSON;
/**
 * Validates an unknown object is a JSON Object.
 *
 * @internal
 */
export declare const isJSONObject: (obj: unknown) => obj is JSONObject;
